<template>
	<div>
		<task-list v-if="imageMode == 0" />
		<task-image-list v-else-if="imageMode == 1" />
		<router-view />
	</div>
</template>

<script>
import TaskList from "@/components/TaskList";
import TaskImageList from "@/components/TaskImageList";

export default {
	components: {
		TaskList,
		TaskImageList
	},

	mounted() {
		this.$store.commit("setTitle", "Tasks");
	},

	props: {
		imageMode: {
			type: Number,
			default: 0
		}
	}
};
</script>

